using ldap_cesi.Context;
using ldap_cesi.Entities;
using Microsoft.EntityFrameworkCore;

namespace ldap_cesi.Configurations;

public static class Conf
{
    public static void BuildConf(this WebApplicationBuilder builder)
    {
        builder.AddEFCoreConfiguration();
    }

    public static void AddEFCoreConfiguration(this WebApplicationBuilder builder)
    {
        string connectionString = builder.Configuration.GetConnectionString("DefaultConnection");
        builder.Services.AddDbContext<PgContext>(options => options.UseNpgsql(connectionString));
    }
}